/* GENERAL */

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap");

/* Default Light Mode */
:root {
  --primary-color: white;
  --primary-color-2: rgb(250, 250, 250);
  --primary-color-3: rgb(181, 181, 181);
  --background-color: rgb(255, 255, 255);
  --secondary-color: black;
  --secondary-color-2: rgb(85, 85, 85);
  --button-background: rgb(53, 53, 53);
  --button-text-hover: grey;
  --button-border: rgb(53, 53, 53) 0.1rem solid;
  --button-border-2: rgb(255, 255, 255) 0.1rem solid;
  --container-border: rgb(163, 163, 163);
}

/* Dark Mode */
[theme="dark"] {
  --primary-color: black;
  --primary-color-2: rgb(39, 39, 39);
  --primary-color-3: rgb(74, 74, 74);
  --background-color: rgb(33, 33, 33);
  --secondary-color: white;
  --secondary-color-2: rgb(170, 170, 170);
  --button-background: rgb(202, 202, 202);
  --button-text-hover: lightgrey;
  --button-border: rgb(202, 202, 202) 0.1rem solid;
  --button-border-2: rgb(0, 0, 0) 0.1rem solid;
  --container-border: rgb(92, 92, 92);
}

* {
  margin: 0;
  padding: 0;
}

h3 {
  color: var(--secondary-color);
}

body {
  font-family: "Poppins", sans-serif;
  background-color: var(--background-color);
}

html {
  scroll-behavior: smooth;
}

p {
  color: var(--secondary-color-2);
}
/* TRANSITION */

a,
.btn {
  transition: all 300ms ease;
}

/* DESKTOP NAV */

nav,
.nav-links {
  display: flex;
}

nav {
  justify-content: space-around;
  align-items: center;
  height: 15vh;
}

.nav-links {
  gap: 2rem;
  list-style: none;
  font-size: 1rem;
  display: flex;
  margin-top: 3rem;
}

nav li:last-child {
  width: max-content;
  display: flex;
  margin: auto;
  padding: 0rem;
  margin-top: 0rem; /* Tambahkan margin atas */
}

.menu-link {
  color: var(--secondary-color);
  text-decoration: none;
  text-decoration-color: var(--primary-color);
  border-radius: 70px; /* Menambahkan border melengkung */
  border: 2px solid var(--secondary-color);
  padding: 5px 10px 5px 10px;
}

a:hover {
  text-decoration: underline;
  text-underline-offset: 2rem;
  text-decoration-color: var(--secondary-color);
}

nav a:hover {
  color: var(--secondary-color);
  text-decoration-color: var(--secondary-color);
}

.logo:hover {
  cursor: default;
  color: var(--secondary-color);
}

#modeToggle {
  width: 50px;
  height: 50px;
}

#desktop-nav {
  display: flex;
  align-items: center;
  padding: 10px 20px;
}

.logo img {
  height: 50px;
  width: auto;
  display: block;
}

.logo {
  color: var(--secondary-color);
  font-size: 1.5rem;
  font-weight: bold;
  display: flex;
  align-items: center;
  gap: 13px;
}

/* HAMBURGER MENU */

#hamburger-nav {
  display: none;
  align-items: center;
  padding: 10px 10px;
}

#modeToggle2 {
  width: 50px;
  height: 50px;
}

.logo img {
  height: 50px;
  width: auto;
  display: block;
}

.logo {
  font-size: 1.5rem;
  font-weight: bold;
  display: flex;
  align-items: center;
  gap: 13px;
}

.hamburger-menu {
  position: relative;
  display: inline-block;
}

.hamburger-icon {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 20px;
  width: 25px;
  cursor: pointer;
}

.hamburger-icon span {
  width: 100%;
  height: 2px;
  background-color: var(--secondary-color);
  transition: all 0.3 ease-in-out;
}

.menu-links {
  margin-top: 9px;
  position: absolute;
  top: 100%;
  right: 0rem;
  background-color: transparent;
  width: fit-content;
  max-height: 0;
  overflow: hidden;
  transition: all 0.3 ease-in-out;
  transform: translateX(25px);
}

.menu-links a {
  display: block;
  padding: 4px 8px 4px 8px;
  margin: 11px 0;
  text-align: center;
  font-size: 0.9rem;
  color: var(--secondary-color);
  text-decoration: none;
  transition: all 0.3 ease-in-out;
  border-radius: 70px;
  border: 2px solid var(--secondary-color);
}

.menu-links li {
  list-style: none;
}

.menu-links.open {
  max-height: 300px;
}

.hamburger-icon.open span:first-child {
  transform: rotate(45deg) translate(10px, 5px);
}

.hamburger-icon.open span:nth-child(2) {
  opacity: 0;
}

.hamburger-icon.open span:last-child {
  transform: rotate(-45deg) translate(10px, -5px);
}

.hamburger-icon span:first-child {
  transform: none;
}

.hamburger-icon span:first-child {
  opacity: 1;
}

.hamburger-icon span:first-child {
  transform: none;
}

/* SECTIONS */

section {
  padding-top: 4vh;
  height: 96vh;
  margin: 0 10rem;
  box-sizing: border-box;
  min-height: fit-content;
}

.section-container {
  display: flex;
}

/* PROFILE SECTION */

#profile {
  display: flex;
  justify-content: center;
  gap: 5rem;
  height: 80vh;
}

.section__pic-container {
  display: flex;
  height: 400px;
  width: 400px;
  margin: auto 0;
}

.section__text {
  align-self: center;
  text-align: center;
}

.section__text p {
  font-weight: 600;
}

.section__text__p1 {
  text-align: center;
  font-size: 1.5rem;
}

.section__text__p2 {
  font-size: 1.9rem;
  margin-bottom: 1rem;
}

.title {
  color: var(--secondary-color);
  font-size: 2.5rem;
  text-align: center;
}

#socials-container {
  display: flex;
  justify-content: center;
  margin-top: 2rem;
  gap: 2rem;
}

#socials-container a img {
  width: 40px; /* Menetapkan lebar gambar */
  height: 40px; /* Menetapkan tinggi gambar */
  object-fit: contain; /* Memastikan gambar tetap proporsional */
}

/* ICONS */

.icon {
  cursor: pointer;
  height: 2.3rem;
  width: 2.3rem;
  margin: 0.2rem;
}

/* BUTTONS */

.btn-container {
  display: flex;
  justify-content: center;
  gap: 1rem;
}

.btn {
  font-weight: 600;
  transition: all 300ms ease;
  padding: 1rem;
  width: 8rem;
  border-radius: 2rem;
}

.btn-color-1,
.btn-color-2 {
  border: var(--button-border);
  color: var(--secondary-color-2);
}

.btn-color-1:hover,
.btn-color-2:hover {
  cursor: pointer;
}

.btn-color-1,
.btn-color-2:hover {
  background: var(--button-background);
  color: var(--primary-color);
}

.btn-color-1:hover {
  background: var(--secondary-color);
}

.btn-color-2 {
  background: none;
}

.btn-color-2:hover {
  border: var(--button-border);
  background: var(--secondary-color);
}

.btn-container {
  gap: 1rem;
}

/* ABOUT SECTION */

#about {
  position: relative;
}

.about-containers {
  gap: 1rem;
  margin-bottom: 0rem;
  margin-top: 1rem;
}

.about-details-container {
  justify-content: center;
  flex-direction: column;
}

.about-containers,
.about-details-container {
  display: flex;
}

.about-pic {
  border-radius: 2rem;
}

.arrow {
  position: absolute;
  right: -5rem;
  bottom: 2.5rem;
}

.details-container {
  padding: 1.5rem;
  flex: 1;
  background: var(--primary-color-2);
  border-radius: 2rem;
  border: var(--button-border);
  border-color: var(--container-border);
  text-align: center;
}

.text-container p {
  text-align: justify;
  line-height: 1.8;
  margin: 1rem;
}

.section-container {
  gap: 4rem;
  height: 80%;
}

.section__pic-container {
  height: 400px;
  width: 400px;
  margin: auto 0;
}

/* EXPERIENCE SECTION */

#experience {
  position: relative;
}

.experience-sub-title {
  color: var(--secondary-color);
  font-weight: 600;
  font-size: 1.75rem;
  margin-bottom: 2rem;
}

.experience-details-container {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.article-container {
  display: flex;
  text-align: initial;
  flex-wrap: wrap;
  flex-direction: column;
  gap: 1.5rem;
  justify-content: flex-start;
}

article {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: auto;
  justify-content: flex-start;
  gap: 0.7rem;
}

article .icon {
  cursor: default;
}

/* PROJECTS SECTION */

#projects {
  display: flex;
  flex-direction: column; /* Menata elemen secara vertikal */
  align-items: center; /* Menyusun konten secara horizontal (tengah) */
  justify-content: center; /* Menyusun konten secara vertikal (tengah) */
  text-align: center; /* Memastikan teks di dalam elemen rata tengah */
  height: 100vh; /* Mengatur tinggi kontainer agar sesuai dengan tinggi layar */
}

.section__text__p1,
.title {
  margin: 6; /* Menghapus margin untuk memastikan teks terpusat */
}

.color-container {
  border-color: var(--container-border);
  background: var(--primary-color-2);
  flex: 1 1 calc(33.33% - 20px); /* Membagi ruang menjadi 3 kolom dengan jarak antar elemen */
  box-sizing: border-box; /* Agar padding dan margin tidak mempengaruhi ukuran elemen */
}

.project-img {
  display: block;
  margin: 0 auto;
  margin-top: 1rem;
  border-radius: 3rem;
  width: 90%;
  height: 90%;
  border: 1.5px var(--primary-color-3);
  border-radius: 20px;
}

.project-title {
  margin: 0.3rem;
  color: var(--secondary-color);
}

.project-btn {
  color: var(--secondary-color);
  border-color: var(--container-border);
}

h5 {
  margin: 2rem;
  font-weight: 300;
  font-style: italic;
  font-family: "Arial", sans-serif;
  color: var(--secondary-color);
  line-height: 1.4;
  text-align: justify;
}

/* CONTACT */

#contact {
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: 50vh;
  margin-bottom: 0rem;
}

.contact-info-upper-container {
  display: flex;
  justify-content: center;
  border-radius: 5rem;
  border: var(--button-border);
  border-color: var(--container-border);
  background: var(--background-color);
  margin: 1.3rem auto;
  padding: 0rem;
}

.contact-info-container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0rem;
  margin: 0.7rem;
}

.contact-info-container p {
  font-size: larger;
}

.contact-icon {
  height: 2.5rem;
  width: 2.5rem;
  cursor: pointer;
}

.email-icon {
  height: 2.5rem;
  width: 2.5rem;
  cursor: pointer;
}

.instagram-icon {
  height: 2.3rem;
  width: 2.3rem;
  cursor: pointer;
}

.menu-link {
  margin-bottom: 7px;
  display: inline-block;
  padding: 10px 10px;
  text-decoration: none;
  color: var(--secondary-color);
  font-weight: bold;
  border: 2px solid var(--container-border);
  border-radius: 15px; /* Melengkung */
  transition: 0.3s ease; /* Animasi transisi */
}

.menu-link:hover {
  background-color: #f4f4f4; /* Warna latar saat hover */
  color: #333;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

/* Style spesifik untuk tiap link */
.about-link {
  background-color: var(--background-color); /* Warna biru muda */
}

.skills-link {
  background-color: var(--background-color); /* Warna hijau muda */
}

.experience-link {
  background-color: var(--background-color); /* Warna merah muda */
}

.contact-link {
  background-color: var(--background-color); /* Warna kuning muda */
}

/* FOOTER SECTION */

footer {
  height: 29vh;
  margin: 0 1rem;
}

footer p {
  text-align: center;
}

footer nav {
  margin-bottom: 0rem; /* Jarak di bawah navigation */
}
